Skip to main content
GET
/
v1
/
billing-packages
List Billing Packages
curl --request GET \
  --url https://fees.sandbox.lerian.net/v1/billing-packages \
  --header 'Content-Type: <content-type>' \
  --header 'X-Organization-Id: <x-organization-id>'
import requests

url = "https://fees.sandbox.lerian.net/v1/billing-packages"

headers = {
"X-Organization-Id": "<x-organization-id>",
"Content-Type": "<content-type>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'X-Organization-Id': '<x-organization-id>', 'Content-Type': '<content-type>'}
};

fetch('https://fees.sandbox.lerian.net/v1/billing-packages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "id": "<string>",
      "label": "<string>",
      "description": "<string>",
      "enable": true,
      "organizationId": "<string>",
      "ledgerId": "<string>",
      "eventFilter": {
        "transactionRoute": "<string>",
        "status": "<string>"
      },
      "tiers": [
        {
          "minQuantity": 123,
          "maxQuantity": 123,
          "unitPrice": "<string>"
        }
      ],
      "freeQuota": 123,
      "discountTiers": [
        {
          "minQuantity": 123,
          "discountPercentage": "<string>"
        }
      ],
      "assetCode": "<string>",
      "debitAccountAlias": "<string>",
      "creditAccountAlias": "<string>",
      "feeAmount": "<string>",
      "maintenanceCreditAccount": "<string>",
      "accountTarget": {
        "segmentId": "<string>",
        "portfolioId": "<string>",
        "aliases": [
          "<string>"
        ]
      },
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "deletedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "page": 123,
  "limit": 123,
  "total": 123
}

Headers

X-Organization-Id
string
required

The unique identifier of the Organization associated with the request.

Example:

"019c96a0-0a98-7287-9a31-786e0809c769"

Authorization
string

The authorization token in the 'Bearer ' format.

Important: This header is required if your environment has Access Manager enabled. For more information, refer to the Access Manager documentation.

Content-Type
string
required

The type of media of the resource. Must be application/json.

Example:

"application/json"

Query Parameters

ledgerId
string

Unique identifier of the Ledger.

type
enum<string>

Filter by billing package type: volume or maintenance.

Available options:
volume,
maintenance
status
boolean

Filter by active status. true returns only active billing packages, false only inactive ones. Omit to return both.

page
integer

Page number (minimum 1).

limit
integer

Number of records per page (minimum 1).

Response

List of billing packages.

items
object[]
page
integer
limit
integer
total
integer